curl --request POST \
--url https://api.siftstack.com/api/v1/channel-schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetName": "<string>",
"component": "<string>",
"unit": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"organizationId": "<string>"
}
'{}Create a channel schema
curl --request POST \
--url https://api.siftstack.com/api/v1/channel-schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetName": "<string>",
"component": "<string>",
"unit": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"organizationId": "<string>"
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request for a call to ChannelSchemaService_CreateChannelSchema.
The request for a call to ChannelSchemaService_CreateChannelSchema.
The name of the channel (case-insensitive).
CHANNEL_DATA_TYPE_UNSPECIFIED, CHANNEL_DATA_TYPE_DOUBLE, CHANNEL_DATA_TYPE_STRING, CHANNEL_DATA_TYPE_ENUM, CHANNEL_DATA_TYPE_BIT_FIELD, CHANNEL_DATA_TYPE_BOOL, CHANNEL_DATA_TYPE_FLOAT, CHANNEL_DATA_TYPE_INT_32, CHANNEL_DATA_TYPE_UINT_32, CHANNEL_DATA_TYPE_INT_64, CHANNEL_DATA_TYPE_UINT_64, CHANNEL_DATA_TYPE_BYTES The name of the asset (case-insensitive).
The name of the component (case-insensitive).
Show child attributes
Show child attributes
This field is optional if the caller belongs to a single organization.
A successful response.
The response of a call to ChannelSchemaService_CreateChannelSchema.
Was this page helpful?